org.encog.ml.factory.train

## Class SVMSearchFactory

- java.lang.Object
- - org.encog.ml.factory.train.SVMSearchFactory

-     public class SVMSearchFactory
      extends Object

  A factory that creates SVM-search trainers.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_C_STEP` Property for constant.
    `static String` | `PROPERTY_C1` Property for constant.
    `static String` | `PROPERTY_C2` Property for constant.
    `static String` | `PROPERTY_GAMMA_STEP` Property for gamma.
    `static String` | `PROPERTY_GAMMA1` Property for gamma.
    `static String` | `PROPERTY_GAMMA2` Property for gamma.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVMSearchFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MLTrain` | `create(MLMethod method, MLDataSet training, String argsStr)` Create a SVM trainer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_GAMMA1

          public static final String PROPERTY_GAMMA1

      Property for gamma.
      See Also:
        Constant Field Values

    - #### PROPERTY_C1

          public static final String PROPERTY_C1

      Property for constant.
      See Also:
        Constant Field Values

    - #### PROPERTY_GAMMA2

          public static final String PROPERTY_GAMMA2

      Property for gamma.
      See Also:
        Constant Field Values

    - #### PROPERTY_C2

          public static final String PROPERTY_C2

      Property for constant.
      See Also:
        Constant Field Values

    - #### PROPERTY_GAMMA_STEP

          public static final String PROPERTY_GAMMA_STEP

      Property for gamma.
      See Also:
        Constant Field Values

    - #### PROPERTY_C_STEP

          public static final String PROPERTY_C_STEP

      Property for constant.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SVMSearchFactory

          public SVMSearchFactory()

  - ### Method Detail

    - #### create

          public MLTrain create(MLMethod method,
                       MLDataSet training,
                       String argsStr)

      Create a SVM trainer.
      Parameters:
        `method` - The method to use.
        `training` - The training data to use.
        `argsStr` - The arguments to use.
      Returns:
        The newly created trainer.

Copyright © 2014. All Rights Reserved.